<div class="card card-one mt-4" style="width: 15rem; ">
  <img class="card-img-top" [src]="veiculo.imagePath" *ngIf="veiculo.imagePath; else noImagePath">
  <ng-template #noImagePath>
    <img class="card-img-top" src="./../../../assets/img/noImagePath.jpg">
  </ng-template>

  <div class="card-body">
    <div class="row" *ngIf="veiculo?.vendido === true; else tagVencido">
      <div class="col-md-12 text-center">
        <span class="badge badge-warning">Vendido</span>
      </div>
    </div>
    <ng-template #tagVencido>
      <div class="row" style="padding: 0.75em;">
        <div class="col-md-12">
        </div>
      </div>
    </ng-template>
    <h5 class="card-title text-center">{{veiculo.modelo}} ({{veiculo.marca}})</h5>
    <a [routerLink]='["/veiculos/detalhes", veiculo.id]' class="btn btn-info btn-block">Visualizar</a>
  </div>
</div>
